﻿using System.Web.Mvc;
using Update_Database_SP_MVC.Models;

using System.Data;
using System.Configuration;
using System.Data.SqlClient;

namespace Update_Database_SP_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(CustomerModel customer)
        {
            string spName = "Customers_UpdateCustomer";
            string constr = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
            using (SqlConnection con = new SqlConnection(constr))
            {
                using (SqlCommand cmd = new SqlCommand(spName, con))
                {
                    cmd.CommandType = CommandType.StoredProcedure;
                    cmd.Parameters.AddWithValue("@CustomerId", customer.CustomerId);
                    cmd.Parameters.AddWithValue("@Name", customer.Name);
                    cmd.Parameters.AddWithValue("@Country", customer.Country);
                    con.Open();
                    int i = cmd.ExecuteNonQuery();
                    con.Close();

                    if (i > 0)
                    {
                        ViewBag.Message = "Customer record updated.";
                    }
                    else
                    {
                        ViewBag.Message = "Customer not found.";
                    }
                }
            }

            return View();
        }
    }
}